import 'package:SEFER/constant/box_name.dart';
import 'package:SEFER/main.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:SEFER/constant/style.dart';
import 'package:SEFER/views/widgets/my_scafold.dart';

class TaarifPage extends StatelessWidget {
  const TaarifPage({super.key});

  @override
  Widget build(BuildContext context) {
    return MyScafolld(isleading: true, title: 'Tariffs'.tr, body: [
      Padding(
        padding: const EdgeInsets.symmetric(horizontal: 4),
        child: ListView(
          // mainAxisAlignment: MainAxisAlignment.start,
          // crossAxisAlignment: CrossAxisAlignment.stretch,
          clipBehavior: Clip.hardEdge,
          children: [
            Table(
              defaultVerticalAlignment: TableCellVerticalAlignment.middle,
              border: TableBorder.symmetric(),
              textBaseline: TextBaseline.alphabetic,
              children: [
                TableRow(
                  // decoration: AppStyle.boxDecoration,
                  children: [
                    Text('Minimum fare'.tr, style: AppStyle.title),
                    box.read(BoxName.countryCode) == 'Jordan'
                        ? Text('1 ${'JOD'.tr}', style: AppStyle.title)
                        : Text('20 ${'LE'.tr}', style: AppStyle.title),
                  ],
                ),
                TableRow(
                  children: [
                    Text('Maximum fare'.tr, style: AppStyle.title),
                    box.read(BoxName.countryCode) == 'Jordan'
                        ? Text('200 ${'JOD'.tr}', style: AppStyle.title)
                        : Text('15000 ${'LE'.tr}', style: AppStyle.title),
                  ],
                ),
                TableRow(
                  children: [
                    Text('Flag-down fee'.tr, style: AppStyle.title),
                    box.read(BoxName.countryCode) == 'Jordan'
                        ? Text('0.47 ${'JOD'.tr}', style: AppStyle.title)
                        : Text('15 ${'LE'.tr}', style: AppStyle.title),
                  ],
                ),
                TableRow(
                  children: [
                    box.read(BoxName.countryCode) == 'Jordan'
                        ? Text('0.05 ${'JOD'.tr}/min and 0.21 ${'JOD'.tr}/km',
                            style: AppStyle.title)
                        : Text('1 ${'LE'.tr}/min and 4 ${'LE'.tr}/km',
                            style: AppStyle.title),
                    Text('Including Tax'.tr, style: AppStyle.title),
                  ],
                ),
              ],
            ),
            const SizedBox(height: 10),
            Text('BookingFee'.tr, style: AppStyle.headTitle2),
            const SizedBox(height: 10),
            Text('10%', style: AppStyle.title),
            const SizedBox(height: 20),
            Text('Morning'.tr, style: AppStyle.headTitle2),
            const SizedBox(height: 10),
            Text(
                'from 07:30 till 10:30 (Thursday, Friday, Saturday, Monday)'.tr,
                style: AppStyle.title),
            const SizedBox(height: 20),
            Text('Evening'.tr, style: AppStyle.headTitle2),
            const SizedBox(height: 10),
            Text(
                'from 12:00 till 15:00 (Thursday, Friday, Saturday, Monday)'.tr,
                style: AppStyle.title),
            const SizedBox(height: 20),
            Text('Night'.tr, style: AppStyle.headTitle2),
            const SizedBox(height: 10),
            Text('from 23:59 till 05:30'.tr, style: AppStyle.title),
          ],
        ),
      ),
    ]);
  }
}
